Subject: [bug#43159] [PATCH 0/2] Make 'guix help' helpful

From: Ludovic Courtès <[email-masked]>
Date: Wed, 02 Sep 2020 11:50:17 +0200

Hi,

Efraim Flashner <[email-masked]> skribis:

> On Tue, Sep 01, 2020 at 10:35:20PM +0200, Ludovic Courtès wrote:
>> Hey Guix!
>> 
>> Here’s another long-overdue change that was brought to my
>> attention: making ‘guix help’ show a synopsis of each command.
>> While at it, it also groups them in categories (I more or
>> less followed the manual, but there’s prolly room for
>> improvement, like a ‘packaging’ category maybe?):
>> 
>
> I dislike the idea that some commands are only for developers and some
> commands are "too advanced for the common user" (my words, not yours).

Yeah, I’m ambivalent about this as well.

> Before bikeshedding about where the options should be, how about:
> commands for developers -> commands related to building

Rather, “commands for development“, because that’s really what ‘guix
environment’ is about, for instance, but saying ‘development’ rather
than ‘developers’ is probably wise.

> advanced usage -> commands related to verification

Well that only works for ‘challenge’ (which I’d like to put in the hands
of ‘normal’ users, so I’m not comfortable with the ‘advanced’ label, but
OTOH, it’s clearly not one of the commands you’d begin with.)

What about archive, copy, download, etc.?

> This way they're still "commands for everybody" and they're more
> descriptive than just "advanced" "expert" and "debug" style headers.

Understood.

Thanks for your feedback!

Ludo’.